Overview

Introduction:

Light Artist allows you to add various lighting effects to your images. Light Artist creates cast light and shadow effects across your image, as if it was a flat surface. Imagine lighting paintings or photographs with a flashlight or a lamp - this should give the impression of what can be done with Light Artist. You can modify the light color, add multiple light sources, change the surface qualities of the image and add various ambient illumination effects. Using one of the image channels as the texture channel you can add 3D relief to your images.

before

after

VicMan Software-All rights reserved.


Features

Product Features:

  • Load and save jpeg (you can choose quality), bmp, png
  • Add several light sources to the images
  • Select type, color, position, spread and intensity of every light source
  • Control image light reflection parameters
  • Create 3D-effects using the texture channels
  • Resize the images smoothly


System Requirements

Your computer should meet the following requirements in order to run Light Artist properly:

  • Microsoft Windows 95, 98, 2000, Me, XP or NT 4.0
  • Intel Pentium 66 MHz or higher (P166 MHz recommended)
  • 16 MB RAM (32 MB recommended)
  • Approximately 1284 KB of hard disk space
  • A display with at least 256 color depth (64K recommended) and 800x600 screen resolution
  • Mouse or other pointing device


Benefits

  • Add various lighting effects to your images;
  • Adjust brightness and color balance of the image fragments;
  • Add depth and texture to your images by the embossing effect to make images more realistic;
  • Change the overall impression of your images making them sunnier, more joyful, romantic or even grim... Whatever you like!
  • Create realistic lighting effects for your photos and drawings;
  • Resize the images smoothly.


Registration

It is a right decision to purchase the full version of our software. It's a great value at a low cost for personal use and a very clever money investment for professionals.

How to Buy the Program:

Click here to purchase the full version


Main window

Light Artist is the user-friendly and easy-to-use program. See the screenshot below to familiarize with the features of the program interface.

The main window consists of the following sub-windows and toolbars:

  • Main menu
  • Main toolbar
  • Application windows


Main menu

The main menu helps you to browse through the most of the Light Artist features.

The first tab in the main menu is File that contains the file management commands such as Open, Save As, Resize and Exit. You can open a new file, resize and save it or exit the application using the drop-down menu options.

The next tab is View. Using this option you can choose Zoom in and Zoom out for your images for the editing purposes. You can also choose the Actual size to return.

The last tab is Help. It provides the necessary help and guidance on this product. You can view the details about this product. Animated tutorial guides you through the product's main functionalities and features. You can also choose this menu tab to go to the product web site or to purchase and register your own product copy.


Main toolbar

The Main toolbar is provided for your convenience. You can access the most commonly used buttons for opening or saving an image, zooming in or zooming out, etc.

Every icon is self-explanatory and also accompanied by the descriptive rollover pop-ups.

  • Open image - allows you to browse through your documents in order to open an existing image
  • Save image as - prompts you to save an image after enhancing it in bmp, jpeg, or png formats
  • Zoom in - allows you to zoom in an image
  • Zoom out - allows you to zoom out an image
  • Actual size - allows you to return back to the actual size of an image
  • Purchase full version - the web site opens up and takes you to the product's purchasing details
  • Change skin - allows you to change the view and color of the product to Alien, Cell Shaded, Jezz, Steel, XP blue, XP metal, XP stead, and No skin


Application windows

Image window:

This is the window where the original and processed image is displayed.

Preview window:

Here you can immediately see all the changes you've made.

Adjusting toolbar:

Light sources tab:

This tab contains the controls of adjusting the light sources parameters.

You can:

1. Add new and Remove existing light sources.
2. Change Ambient light luminosity. It controls the overall brightness of the image. The increasing of this parameter makes the whole image lighter.
3. Choose among three light source types:

Spot is a directional light source casting rays inside a cone. The size and shape of this cone is controlled by the divergence parameter. Imagine illuminating your image with a "virtual" flashlight. This effect is produced by the spot light source.

Omni is а point light source casting rays in all directions. It looks like a light bulb which is placed at some distance from your image.

Parallel is a light source placed infinitely far. This is the effect of sun rays going in parallel and falling on the image under the same angle. The parallel light source will produce beautiful effects only if the texture channel in the Surface options tab is switched on.

Intensity is the common parameter for all the light sources. It controls the brightness of the illuminated region. The position of the light source along with other several parameters can be changed by dragging the light source control points inside the preview window. The color of every light source can also be changed.

Surface options tab:

These controls allow adjusting image surface light reflection properties.

1. Change Diffuse and Specular surface characteristics to alter the light spreads on the image surface. These two sliders control whether the surface of your image is dull or shiny.

2. Check the Use texture channel box to apply embossing effects to the image. You can select red, blue or green Texture channel. Magnification of the Height increases the embossing effect.

After specifying the changes click the Process button to incorporate them. To see the original image click the Original image button.


Working with the program

There are three simple steps to add light and shadow effects to your image:

Step 1:

Load the image - Click the Open file icon to open the image from your documents. As seen in the screenshot below, it opens a browser window and you need to select the image and click Open.

Step 2:

Add lighting effects - You can add several light sources and change their parameters. Also you can change the Surface options to get various lighting effects.

Adjust the options according to your requirement and click the Process button for the changes to take effect.

Step 3:

Save the image - Click the Save image as icon on the main toolbar or the Save As option on the File menu to save the changes made to the image.

The browser window opens up allowing you to specify your own path for the image. Select the destination for the file and also specify format as *.bmp, *.jpg or *.png. Click the Save button.


Changing skins

You can select here the skin of program interface.


Contacts

VicMan Software is a software development company that has a history of successful software releases for more than five years. The company is particularly well-known for the following superb-quality products: Active Email Monitor, VCW VicMan's Photo Editor, Jpeg Enhancer, Light Artist and a variety of smaller products.

Other VicMan Software products:

Look through the other VicMan Software products on our website:

http://www.vicman.net/
  • Active Email Monitor is a powerful utility that comprises a multi-account email checker, an anti-spam filter and a mailbox cleaner. It also serves as an antivirus tool that protects your mailbox from the email viruses and worms, such as Melissa, ILOVEYOU and others. Read more...
  • VCW VicMan's Photo Editor is a versatile image editor with an intuitive interface and a variety of features. This powerful and user-friendly application offers the simplicity of image editing, high productivity and easy customizing abilities to users. Read more...
  • And more...

Contacts:

Sales contacts: sales@vicman.net

Marketing contacts: marketing@vicman.net

Support contacts: support@vicman.net


Troubleshooting

Your contact with us would be very much appreciated if you experience any problems while working with Light Artist. Your cooperation will help the program to get better.

The address for reporting is bugreport@vicman.net.

Please include the following information in your message:

  • The version of the Windows system you are using
  • Your hardware specifications such as CPU model, the operating memory capacity, etc.
  • Description of the problem you have experienced


License Agreement

Introduction:

All copyrights to Light Artist are exclusively owned by VicMan Software.

Light Artist is a try-and-buy program. You can try it for free, but if you intend to keep it, you must register your copy of Light Artist or stop using it.

Once registered, you are granted a non-exclusive license to use the Light Artist on one computer at a time. The registered Light Artist software can not be rented, leased or transferred.

Light Artist unregistered shareware can be freely distributed providing that the distribution package has not been modified. No person or company can charge a fee for the distribution of Light Artist without a written permission from the copyright holder.

Light Artist is distributed "AS IS" and you assume a full responsibility for determining the suitability of Light Artist and for the results obtained.

VicMan Software makes no warranty that all errors have been or can be eliminated from the Light Artist software. Thereto, VicMan Software will not be responsible for losses, damages, costs or expenses of any kind caused by using or misusing Light Artist including any liability for business expenses, machine downtime, damages experienced by you or any third person as a result of any deficiency, defect, bug, error or malfunction. VicMan Software shall not be liable for any indirect, special, incidental or consequential damages relating to or arising from the subject matter of this Agreement or actions taken hereunder.

NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE LIGHT ARTIST AT YOUR OWN RISK. VICMAN SOFTWARE DISCLAIMS ALL WARRANTIES, EITHER EXPRESSED OR IMPLIED, INCLUDING THE WARRANTIES OF MERCHANT ABILITY AND FITNESS FOR A PARTICULAR PURPOSE. NOBODY WILL BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KINDS OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

You can not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer or transfer the licensed program or any subset of the licensed program, except as provided for in this agreement. Any unauthorized uses will result in immediate and automatic termination of this license and can result in criminal and/or civil prosecution.

All the rights are reserved by VicMan Software.

The terms of this license, as well as the Light Artist features and the interface design, are subjects to change in the future versions of Light Artist.

Installing and/or using Light Artist signifies the acceptance of these terms and conditions of the license.

If you do not agree with the terms of this license you must remove Light Artist files from your storage devices and terminate using the product.